# FtpGet

Retreive a file from the remote system.

## SYNOPSIS

    #include <ftplib.h>
    int FtpGet(const char *output, const char *path, char mode, netbuf *nControl);

## PARAMETERS

output
  Name of a local file to receive the contents of the remote file. If specified as NULL file data will be written to stdout.
path
  Name of remote file to be retrieved.
mode
  Specifies the transfer mode as FTPLIB_ASCII or FTPLIB_IMAGE.
nControl
  A handle returned by FtpConnect().

## DESCRIPTION

FtpGet() copies the contents of a remote file to a local file.

## RETURN VALUE

Returns 1 if successful or 0 on error.